import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  id: string;
  gridOptions: IgGrid;

  constructor() {
    this.id = 'grid1';
    this.gridOptions = {
      width: '600px',
      height: '300px',
      dataSource: [
        { id: 1, column1: 'string 1', column2: true, column3: new Date() },
        { id: 2, column1: 'string 2', column2: false, column3: new Date() },
        { id: 3, column1: 'string 3', column2: true, column3: new Date() }
      ],
      primaryKey: 'id',
      columns: [
        { key: 'id', headerText: 'ID', dataType: 'number' },
        { key: 'column1', headerText: 'Column 1', dataType: 'string' },
        { key: 'column2', headerText: 'Column 2', dataType: 'bool' },
        { key: 'column3', headerText: 'Column 3', dataType: 'date' },
      ],
      defaultColumnWidth: '150px'
    }
  }
}
